summaryrefslogtreecommitdiff
path: root/build-all.sh
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2017-07-25 21:44:14 +0300
committerLars Wirzenius <liw@liw.fi>2017-07-25 21:44:14 +0300
commit910a094152d2ed0c1279eef490beb55c1edfd1f7 (patch)
tree08ee51855deaa3422ea0713d926be6e710aee486 /build-all.sh
downloadbase-image-specs-910a094152d2ed0c1279eef490beb55c1edfd1f7.tar.gz
Add: files to build a stretch/amd64 base image
A vmdb2 spec file, a corresponding Ansible playbook, and a script to run vmdb2 to produce an image.
Diffstat (limited to 'build-all.sh')
-rwxr-xr-xbuild-all.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/build-all.sh b/build-all.sh
new file mode 100755
index 0000000..814b292
--- /dev/null
+++ b/build-all.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -eu
+
+opts="--verbose"
+
+vmdb2 base.vmdb $opts --output debian9-amd64.img --rootfs-tarball debian9-amd64.tar.gz
+xz -f --verbose debian9-amd64.img